import { Command, Mark } from '@tiptap/core';
export interface ItalicOptions {
    HTMLAttributes: {
        [key: string]: any;
    };
}
export declare const starInputRegex: RegExp;
export declare const starPasteRegex: RegExp;
export declare const underscoreInputRegex: RegExp;
export declare const underscorePasteRegex: RegExp;
declare const Italic: Mark<ItalicOptions, {
    /**
     * Set an italic mark
     */
    setItalic: () => Command;
    /**
     * Toggle an italic mark
     */
    toggleItalic: () => Command;
    /**
     * Unset an italic mark
     */
    unsetItalic: () => Command;
}>;
export default Italic;
declare module '@tiptap/core' {
    interface AllExtensions {
        Italic: typeof Italic;
    }
}
